import 'package:flutter/material.dart';

/// DrawerNavigrationItem - Wraps a MaterialPageRoute inside a ListTitle
class DrawerNavigationItem extends StatelessWidget {
  DrawerNavigationItem({this.icon, this.name, this.route});

  final Icon icon;
  final String name;
  final Widget route;

  @override
  Widget build(BuildContext context) {
    return ListTile(
      leading: icon,
      title: Text(name),
      onTap: () {
        Navigator.push(
          context,
          MaterialPageRoute(builder: (context) => route),
        );
      },
    );
  }
}
