import 'package:flutter/material.dart';

/// UserDrawer - Wraps a UserAccountDrawerHeader
class UserDrawer extends StatelessWidget {
  UserDrawer(
      {@required this.name,
      @required this.email,
      this.accountPicture,
      this.otherPictures,
      this.onPressed,
      this.arrowColor = Colors.white,
      this.margin});

  final String name;
  final String email;
  final Widget accountPicture;
  final List<Widget> otherPictures;
  final Function onPressed;
  final Color arrowColor;
  final EdgeInsetsGeometry margin;

  @override
  Widget build(BuildContext context) {
    return UserAccountsDrawerHeader(
      accountName: Text(this.name ?? "-"),
      accountEmail: Text(this.email ?? "-"),
      currentAccountPicture: accountPicture,
      otherAccountsPictures: otherPictures,
      onDetailsPressed: onPressed,
      arrowColor: arrowColor,
      margin: margin,
    );
  }
}
