import 'package:flutter/material.dart';

/// RouteNavigatingText - Wraps a Text in a Navigation
class RouteNavigatingText extends StatelessWidget {
  RouteNavigatingText(
      {@required this.text,
      @required this.route,
      @required this.textStyle,
      this.textColor = Colors.white,
      this.textAlignment = Alignment.center,
      this.replacing = false});

  final TextStyle textStyle;
  final bool replacing;
  final Route route;
  final Color textColor;
  final Alignment textAlignment;
  final String text;

  @override
  Widget build(BuildContext context) {
    return DefaultTextStyle(
      style: textStyle,
      child: GestureDetector(
        onTap: () {
          if (replacing) {
            Navigator.of(context).pushReplacement(route);
          } else {
            Navigator.of(context).push(route);
          }
        },
        child: Container(
          color: textColor,
          alignment: textAlignment,
          child: Text(text),
        ),
      ),
    );
  }
}
