import 'package:flutter/material.dart';

/// WidgetNavigatingText - Wraps a Text in a Navigation
class WidgetNavigatingText extends StatelessWidget {
  WidgetNavigatingText(
      {@required this.text,
      @required this.widget,
      @required this.textStyle,
      this.textColor = Colors.white,
      this.textAlignment = Alignment.center,
      this.replacing = false});

  final TextStyle textStyle;
  final bool replacing;
  final Widget widget;
  final Color textColor;
  final Alignment textAlignment;
  final String text;

  @override
  Widget build(BuildContext context) {
    return DefaultTextStyle(
      style: textStyle,
      child: GestureDetector(
        onTap: () {
          if (replacing) {
            Navigator.of(context).pushReplacement(
                MaterialPageRoute(builder: (context) => this.widget));
          } else {
            Navigator.of(context)
                .push(MaterialPageRoute(builder: (context) => this.widget));
          }
        },
        child: Container(
          color: textColor,
          alignment: textAlignment,
          child: Text(text),
        ),
      ),
    );
  }
}
